<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMStockEditViewBase from './emstock-edit-view-base.vue';

import view_form from '@widgets/emstock/main2-form/main2-form.vue';

/**
 * 库存明细
 *
 * @export
 * @class EMStockEditView
 * @extends {EMStockEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMStockEditView extends EMStockEditViewBase { }
</script>